<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:29:40 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Ucm_detailed_componentsPackageImpl (org.eclipse.papyrus.designer.ucm.supplement.profile 0.7.6 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Ucm_detailed_componentsPackageImpl (org.eclipse.papyrus.designer.ucm.supplement.profile 0.7.6 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":9,"i12":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Ucm_detailed_componentsPackageImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/impl/Ucm_detailed_componentsFactoryImpl.html" title="class in org.eclipse.papyrus.designer.ucm.supplement.profile.UCM_Supplement.ucm_detailed_components.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../index.html?org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/impl/Ucm_detailed_componentsPackageImpl.html" target="_top">Frames</a></li>
<li><a href="Ucm_detailed_componentsPackageImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.EPackageImpl">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.emf.ecore.impl.EPackageImpl">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.ucm.supplement.profile.UCM_Supplement.ucm_detailed_components.impl</div>
<h2 title="Class Ucm_detailed_componentsPackageImpl" class="title">Class Ucm_detailed_componentsPackageImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.common.notify.impl.BasicNotifierImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.BasicEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EModelElementImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.ENamedElementImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EPackageImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.ucm.supplement.profile.UCM_Supplement.ucm_detailed_components.impl.Ucm_detailed_componentsPackageImpl</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.supplement.profile.UCM_Supplement.ucm_detailed_components">Ucm_detailed_componentsPackage</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">Ucm_detailed_componentsPackageImpl</span>
extends org.eclipse.emf.ecore.impl.EPackageImpl
implements <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.supplement.profile.UCM_Supplement.ucm_detailed_components">Ucm_detailed_componentsPackage</a></pre>
<div class="block"><!-- begin-user-doc -->
 An implementation of the model <b>Package</b>.
 <!-- end-user-doc --></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.EPackageImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.EPackageImpl</h3>
<code>org.eclipse.emf.ecore.impl.EPackageImpl.EBasicWhiteList</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList&lt;E extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> &amp; org.eclipse.emf.common.notify.Adapter&gt;, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.papyrus.designer.ucm.supplement.profile.UCM_Supplement.ucm_detailed_components.Ucm_detailed_componentsPackage">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.papyrus.designer.ucm.supplement.profile.UCM_Supplement.ucm_detailed_components.<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.supplement.profile.UCM_Supplement.ucm_detailed_components">Ucm_detailed_componentsPackage</a></h3>
<code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.Literals.html" title="interface in org.eclipse.papyrus.designer.ucm.supplement.profile.UCM_Supplement.ucm_detailed_components">Ucm_detailed_componentsPackage.Literals</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>org.eclipse.emf.ecore.InternalEObject.EStore</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.EPackageImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.EPackageImpl</h3>
<code>eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.ENamedElementImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.ENamedElementImpl</h3>
<code>name, NAME_EDEFAULT</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.EModelElementImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.EModelElementImpl</h3>
<code>eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>eContainer</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.papyrus.designer.ucm.supplement.profile.UCM_Supplement.ucm_detailed_components.Ucm_detailed_componentsPackage">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.papyrus.designer.ucm.supplement.profile.UCM_Supplement.ucm_detailed_components.<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.supplement.profile.UCM_Supplement.ucm_detailed_components">Ucm_detailed_componentsPackage</a></h3>
<code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#COMPONENT_PORT_IMPLEMENTATION">COMPONENT_PORT_IMPLEMENTATION</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#COMPONENT_PORT_IMPLEMENTATION__BASE_CLASS">COMPONENT_PORT_IMPLEMENTATION__BASE_CLASS</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#COMPONENT_PORT_IMPLEMENTATION__PORT">COMPONENT_PORT_IMPLEMENTATION__PORT</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#COMPONENT_PORT_IMPLEMENTATION__PORT_ELEMENT">COMPONENT_PORT_IMPLEMENTATION__PORT_ELEMENT</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#COMPONENT_PORT_IMPLEMENTATION_FEATURE_COUNT">COMPONENT_PORT_IMPLEMENTATION_FEATURE_COUNT</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#COMPONENT_PORT_IMPLEMENTATION_OPERATION_COUNT">COMPONENT_PORT_IMPLEMENTATION_OPERATION_COUNT</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#DETAILED_COMPONENT_IMPLEMENTATION">DETAILED_COMPONENT_IMPLEMENTATION</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#DETAILED_COMPONENT_IMPLEMENTATION__BASE_CLASS">DETAILED_COMPONENT_IMPLEMENTATION__BASE_CLASS</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#DETAILED_COMPONENT_IMPLEMENTATION__LANGUAGE">DETAILED_COMPONENT_IMPLEMENTATION__LANGUAGE</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#DETAILED_COMPONENT_IMPLEMENTATION__PORT_IMPLEMENTATION">DETAILED_COMPONENT_IMPLEMENTATION__PORT_IMPLEMENTATION</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#DETAILED_COMPONENT_IMPLEMENTATION_FEATURE_COUNT">DETAILED_COMPONENT_IMPLEMENTATION_FEATURE_COUNT</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#DETAILED_COMPONENT_IMPLEMENTATION_OPERATION_COUNT">DETAILED_COMPONENT_IMPLEMENTATION_OPERATION_COUNT</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#eINSTANCE">eINSTANCE</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#eNAME">eNAME</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#eNS_PREFIX">eNS_PREFIX</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#eNS_URI">eNS_URI</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#IPORT_ELEMENT_IMPLEMENTATION">IPORT_ELEMENT_IMPLEMENTATION</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#IPORT_ELEMENT_IMPLEMENTATION__BASE_CLASS">IPORT_ELEMENT_IMPLEMENTATION__BASE_CLASS</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#IPORT_ELEMENT_IMPLEMENTATION__PORT_ELEMENT">IPORT_ELEMENT_IMPLEMENTATION__PORT_ELEMENT</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#IPORT_ELEMENT_IMPLEMENTATION_FEATURE_COUNT">IPORT_ELEMENT_IMPLEMENTATION_FEATURE_COUNT</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#IPORT_ELEMENT_IMPLEMENTATION_OPERATION_COUNT">IPORT_ELEMENT_IMPLEMENTATION_OPERATION_COUNT</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#TECHNICAL_PORT_IMPLEMENTATION">TECHNICAL_PORT_IMPLEMENTATION</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#TECHNICAL_PORT_IMPLEMENTATION__BASE_CLASS">TECHNICAL_PORT_IMPLEMENTATION__BASE_CLASS</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#TECHNICAL_PORT_IMPLEMENTATION__POLICY">TECHNICAL_PORT_IMPLEMENTATION__POLICY</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#TECHNICAL_PORT_IMPLEMENTATION__PORT_ELEMENT">TECHNICAL_PORT_IMPLEMENTATION__PORT_ELEMENT</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#TECHNICAL_PORT_IMPLEMENTATION_FEATURE_COUNT">TECHNICAL_PORT_IMPLEMENTATION_FEATURE_COUNT</a>, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#TECHNICAL_PORT_IMPLEMENTATION_OPERATION_COUNT">TECHNICAL_PORT_IMPLEMENTATION_OPERATION_COUNT</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder</h3>
<code>NIL</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>EOPPOSITE_FEATURE_BASE</code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/impl/Ucm_detailed_componentsPackageImpl.html#createPackageContents--">createPackageContents</a></span>()</code>
<div class="block">Creates the meta-model objects for the package.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/impl/Ucm_detailed_componentsPackageImpl.html#getComponentPortImplementation_Port--">getComponentPortImplementation_Port</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/impl/Ucm_detailed_componentsPackageImpl.html#getComponentPortImplementation--">getComponentPortImplementation</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/impl/Ucm_detailed_componentsPackageImpl.html#getDetailedComponentImplementation_PortImplementation--">getDetailedComponentImplementation_PortImplementation</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/impl/Ucm_detailed_componentsPackageImpl.html#getDetailedComponentImplementation--">getDetailedComponentImplementation</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/impl/Ucm_detailed_componentsPackageImpl.html#getIPortElementImplementation_Base_Class--">getIPortElementImplementation_Base_Class</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/impl/Ucm_detailed_componentsPackageImpl.html#getIPortElementImplementation_PortElement--">getIPortElementImplementation_PortElement</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/impl/Ucm_detailed_componentsPackageImpl.html#getIPortElementImplementation--">getIPortElementImplementation</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/impl/Ucm_detailed_componentsPackageImpl.html#getTechnicalPortImplementation_Policy--">getTechnicalPortImplementation_Policy</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/impl/Ucm_detailed_componentsPackageImpl.html#getTechnicalPortImplementation--">getTechnicalPortImplementation</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsFactory.html" title="interface in org.eclipse.papyrus.designer.ucm.supplement.profile.UCM_Supplement.ucm_detailed_components">Ucm_detailed_componentsFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/impl/Ucm_detailed_componentsPackageImpl.html#getUcm_detailed_componentsFactory--">getUcm_detailed_componentsFactory</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.supplement.profile.UCM_Supplement.ucm_detailed_components">Ucm_detailed_componentsPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/impl/Ucm_detailed_componentsPackageImpl.html#init--">init</a></span>()</code>
<div class="block">Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/impl/Ucm_detailed_componentsPackageImpl.html#initializePackageContents--">initializePackageContents</a></span>()</code>
<div class="block">Complete the initialization of the package and its meta-model.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EPackageImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EPackageImpl</h3>
<code>addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.ENamedElementImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.ENamedElementImpl</h3>
<code>eContents, eCrossReferences, getName, getNameGen, setName</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EModelElementImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EModelElementImpl</h3>
<code>eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>eBasicSetContainer, eInternalContainer</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>eNotificationRequired, eNotify</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.ENamedElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.ENamedElement</h3>
<code>getName, setName</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EModelElement</h3>
<code>getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>eNotificationRequired</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="init--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>init</h4>
<pre>public static&nbsp;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.supplement.profile.UCM_Supplement.ucm_detailed_components">Ucm_detailed_componentsPackage</a>&nbsp;init()</pre>
<div class="block">Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.
 
 <p>This method is used to initialize <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#eINSTANCE"><code>Ucm_detailed_componentsPackage.eINSTANCE</code></a> when that field is accessed.
 Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#eNS_URI"><code>Ucm_detailed_componentsPackage.eNS_URI</code></a>, 
<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/impl/Ucm_detailed_componentsPackageImpl.html#createPackageContents--"><code>createPackageContents()</code></a>, 
<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/impl/Ucm_detailed_componentsPackageImpl.html#initializePackageContents--"><code>initializePackageContents()</code></a></dd>
</dl>
</li>
</ul>
<a name="getDetailedComponentImplementation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDetailedComponentImplementation</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getDetailedComponentImplementation()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#getDetailedComponentImplementation--">getDetailedComponentImplementation</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.supplement.profile.UCM_Supplement.ucm_detailed_components">Ucm_detailed_componentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Detailed Component Implementation</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/DetailedComponentImplementation.html" title="interface in org.eclipse.papyrus.designer.ucm.supplement.profile.UCM_Supplement.ucm_detailed_components"><code>DetailedComponentImplementation</code></a></dd>
</dl>
</li>
</ul>
<a name="getDetailedComponentImplementation_PortImplementation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDetailedComponentImplementation_PortImplementation</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getDetailedComponentImplementation_PortImplementation()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#getDetailedComponentImplementation_PortImplementation--">getDetailedComponentImplementation_PortImplementation</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.supplement.profile.UCM_Supplement.ucm_detailed_components">Ucm_detailed_componentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the containment reference list '<em>Port Implementation</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/DetailedComponentImplementation.html#getPortImplementation--"><code>DetailedComponentImplementation.getPortImplementation()</code></a>, 
<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#getDetailedComponentImplementation--"><code>Ucm_detailed_componentsPackage.getDetailedComponentImplementation()</code></a></dd>
</dl>
</li>
</ul>
<a name="getIPortElementImplementation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIPortElementImplementation</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getIPortElementImplementation()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#getIPortElementImplementation--">getIPortElementImplementation</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.supplement.profile.UCM_Supplement.ucm_detailed_components">Ucm_detailed_componentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>IPort Element Implementation</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/IPortElementImplementation.html" title="interface in org.eclipse.papyrus.designer.ucm.supplement.profile.UCM_Supplement.ucm_detailed_components"><code>IPortElementImplementation</code></a></dd>
</dl>
</li>
</ul>
<a name="getIPortElementImplementation_PortElement--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIPortElementImplementation_PortElement</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getIPortElementImplementation_PortElement()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#getIPortElementImplementation_PortElement--">getIPortElementImplementation_PortElement</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.supplement.profile.UCM_Supplement.ucm_detailed_components">Ucm_detailed_componentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Port Element</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/IPortElementImplementation.html#getPortElement--"><code>IPortElementImplementation.getPortElement()</code></a>, 
<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#getIPortElementImplementation--"><code>Ucm_detailed_componentsPackage.getIPortElementImplementation()</code></a></dd>
</dl>
</li>
</ul>
<a name="getIPortElementImplementation_Base_Class--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIPortElementImplementation_Base_Class</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getIPortElementImplementation_Base_Class()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#getIPortElementImplementation_Base_Class--">getIPortElementImplementation_Base_Class</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.supplement.profile.UCM_Supplement.ucm_detailed_components">Ucm_detailed_componentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Class</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/IPortElementImplementation.html#getBase_Class--"><code>IPortElementImplementation.getBase_Class()</code></a>, 
<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#getIPortElementImplementation--"><code>Ucm_detailed_componentsPackage.getIPortElementImplementation()</code></a></dd>
</dl>
</li>
</ul>
<a name="getComponentPortImplementation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getComponentPortImplementation</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getComponentPortImplementation()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#getComponentPortImplementation--">getComponentPortImplementation</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.supplement.profile.UCM_Supplement.ucm_detailed_components">Ucm_detailed_componentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Component Port Implementation</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/ComponentPortImplementation.html" title="interface in org.eclipse.papyrus.designer.ucm.supplement.profile.UCM_Supplement.ucm_detailed_components"><code>ComponentPortImplementation</code></a></dd>
</dl>
</li>
</ul>
<a name="getComponentPortImplementation_Port--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getComponentPortImplementation_Port</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getComponentPortImplementation_Port()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#getComponentPortImplementation_Port--">getComponentPortImplementation_Port</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.supplement.profile.UCM_Supplement.ucm_detailed_components">Ucm_detailed_componentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Port</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/ComponentPortImplementation.html#getPort--"><code>ComponentPortImplementation.getPort()</code></a>, 
<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#getComponentPortImplementation--"><code>Ucm_detailed_componentsPackage.getComponentPortImplementation()</code></a></dd>
</dl>
</li>
</ul>
<a name="getTechnicalPortImplementation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTechnicalPortImplementation</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getTechnicalPortImplementation()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#getTechnicalPortImplementation--">getTechnicalPortImplementation</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.supplement.profile.UCM_Supplement.ucm_detailed_components">Ucm_detailed_componentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Technical Port Implementation</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/TechnicalPortImplementation.html" title="interface in org.eclipse.papyrus.designer.ucm.supplement.profile.UCM_Supplement.ucm_detailed_components"><code>TechnicalPortImplementation</code></a></dd>
</dl>
</li>
</ul>
<a name="getTechnicalPortImplementation_Policy--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTechnicalPortImplementation_Policy</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getTechnicalPortImplementation_Policy()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#getTechnicalPortImplementation_Policy--">getTechnicalPortImplementation_Policy</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.supplement.profile.UCM_Supplement.ucm_detailed_components">Ucm_detailed_componentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Policy</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/TechnicalPortImplementation.html#getPolicy--"><code>TechnicalPortImplementation.getPolicy()</code></a>, 
<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#getTechnicalPortImplementation--"><code>Ucm_detailed_componentsPackage.getTechnicalPortImplementation()</code></a></dd>
</dl>
</li>
</ul>
<a name="getUcm_detailed_componentsFactory--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUcm_detailed_componentsFactory</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsFactory.html" title="interface in org.eclipse.papyrus.designer.ucm.supplement.profile.UCM_Supplement.ucm_detailed_components">Ucm_detailed_componentsFactory</a>&nbsp;getUcm_detailed_componentsFactory()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html#getUcm_detailed_componentsFactory--">getUcm_detailed_componentsFactory</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/Ucm_detailed_componentsPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.supplement.profile.UCM_Supplement.ucm_detailed_components">Ucm_detailed_componentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the factory that creates the instances of the model.</dd>
</dl>
</li>
</ul>
<a name="createPackageContents--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPackageContents</h4>
<pre>public&nbsp;void&nbsp;createPackageContents()</pre>
<div class="block">Creates the meta-model objects for the package.  This method is
 guarded to have no affect on any invocation but its first.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="initializePackageContents--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>initializePackageContents</h4>
<pre>public&nbsp;void&nbsp;initializePackageContents()</pre>
<div class="block">Complete the initialization of the package and its meta-model.  This
 method is guarded to have no affect on any invocation but its first.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Ucm_detailed_componentsPackageImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/impl/Ucm_detailed_componentsFactoryImpl.html" title="class in org.eclipse.papyrus.designer.ucm.supplement.profile.UCM_Supplement.ucm_detailed_components.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../index.html?org/eclipse/papyrus/designer/ucm/supplement/profile/UCM_Supplement/ucm_detailed_components/impl/Ucm_detailed_componentsPackageImpl.html" target="_top">Frames</a></li>
<li><a href="Ucm_detailed_componentsPackageImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.EPackageImpl">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.emf.ecore.impl.EPackageImpl">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
